GLXQUERYEXTENSION(3G) |  | GLXQUERYEXTENSION(3G)

# NAME

glXQueryExtension - indicate whether the GLX extension is supported

# C SPECIFICATION

Bool glXQueryExtension( Display *dpy,
int *errorBase,
int *eventBase )
delim$$

# PARAMETERS

dpy
  Specifies the connection to the X server.

errorBase
  Returns the base error code of the GLX server extension.

eventBase
  Returns the base event code of the GLX server extension.

# DESCRIPTION

glXQueryExtension returns True if the X server of connection dpy supports the GLX extension, False otherwise. If True is returned, then errorBase and eventBase return the error base and event base of the GLX extension. Otherwise, errorBase and eventBase are unchanged.

errorBase and eventBase do not return values if they are specified as NULL.

# NOTES

eventBase is included for future extensions. GLX does not currently define any events.

# SEE ALSO

glXQueryVersion